Package org.eclipse.ecf.remoteservice.rest.util

# Class DSPresent

java.lang.Object
org.eclipse.ecf.remoteservice.rest.util.DSPresent

All Implemented Interfaces:
  `IDSPresent`

public class DSPresent extends Object implements IDSPresent
The Class DSPresent.

## Constructor Summary

Constructors
Constructor
Description
`DSPresent()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPresent()`
Checks whether declarative service is present.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSPresent

public DSPresent()

## Method Details

### isPresent

public boolean isPresent()
Description copied from interface: `IDSPresent`
Checks whether declarative service is present. This service is configured by declarative services, so if it's registered to the OSGI runtime, DS is present

Specified by:
  `isPresent` in interface `IDSPresent`
Returns:
  true, if is present